[lfs-fr] r5972 - in trunk/blfs: general/graphlib traduc/commits

myou72 at orange.fr myou72 at orange.fr
Mar 1 Avr 05:05:13 PDT 2014


Author: myou72
Date: 2014-04-01 14:05:13 +0200 (Tue, 01 Apr 2014)
New Revision: 5972

Added:
   trunk/blfs/traduc/commits/r12922.txt
Modified:
   trunk/blfs/general/graphlib/poppler.xml
Log:
[BLFS-EN] r12922.txt

Modified: trunk/blfs/general/graphlib/poppler.xml
===================================================================
--- trunk/blfs/general/graphlib/poppler.xml	2014-04-01 12:03:59 UTC (rev 5971)
+++ trunk/blfs/general/graphlib/poppler.xml	2014-04-01 12:05:13 UTC (rev 5972)
@@ -9,7 +9,7 @@
   <!ENTITY poppler-md5sum             "334f2ac95cc8039f2a57fe63e4a81c69">
   <!ENTITY poppler-size               "1.5 Mo">
   <!ENTITY poppler-buildsize          "103 Mo">
-  <!ENTITY poppler-time               "1.0 SBU">
+  <!ENTITY poppler-time               "1.5 SBU (building qt4 and qt5 libraries)">
   <!ENTITY poppler-data-version       "0.4.6">
   <!ENTITY poppler-data-download-http
            "http://poppler.freedesktop.org/poppler-data-&poppler-data-version;.tar.gz">
@@ -104,9 +104,7 @@
       <application>Qt5</application> en lançant la commande suivante:
     </para>
 <screen>
-<userinput>sed -i -e "s:grep \"Qt 5\":grep \"Qt\\\|moc 5\":g" \
-                          -e "s:QT_SELECT=qt5:QT_SELECT=5:" \
-                          configure</userinput>
+<userinput>sed -i -e "s:grep "Qt 5":grep "Qt\|moc 5":g"                           -e "s:QT_SELECT=qt5:QT_SELECT=5:"                           configure</userinput>
 </screen>
  
     <para>
@@ -114,10 +112,7 @@
       suivantes :
     </para>
 <screen>
-<userinput>./configure --prefix=/usr     \
-            --sysconfdir=/etc \
-            --disable-static  \
-            --enable-xpdf-headers &&
+<userinput>./configure --prefix=/usr                 --sysconfdir=/etc             --disable-static              --enable-xpdf-headers &&
 make</userinput>
 </screen>
     <para>Ce paquet n'est pas fourni avec une suite de tests.</para>

Added: trunk/blfs/traduc/commits/r12922.txt
===================================================================
--- trunk/blfs/traduc/commits/r12922.txt	                        (rev 0)
+++ trunk/blfs/traduc/commits/r12922.txt	2014-04-01 12:05:13 UTC (rev 5972)
@@ -0,0 +1,85 @@
+Révision 12922
+
+fichiers modifiés :
+   general/graphlib/poppler.xml
+   introduction/welcome/changelog.xml
+
+Log :
+Fix Poppler-0.24.5 to build both, qt4 and 5 libraries.
+
+Le robot a traité 15 % du commit anglais
+Index: general/graphlib/poppler.xml
+===================================================================
+--- general/graphlib/poppler.xml	(révision 12921)
++++ general/graphlib/poppler.xml	(révision 12922)
+@@ -149,11 +149,21 @@
+       following command:
+     </para>
+ 
+-<screen><userinput>sed -i -e "s:grep \"Qt 5\":grep \"Qt\\\|moc 5\":g" \
+--e "s:QT_SELECT=qt5:QT_SELECT=5:" \
+-configure</userinput></screen>
++<screen><userinput>sed -i -e "s:grep \"Qt 5\":grep \" 5\\\\.\":g" configure</userinput></screen>
+ 
+     <para>
++      If you are not building both  <application>Qt</application> libraries,
++      jump to the following paragraph. In order to build both
++      <application>Qt4</application> and <application>Qt5</application>
++      libraries, you need to run the install commands twice, because although
++      both are detected, only wrapper for the first
++      <application>Qt</application> version in PATH is built. Either can be
++      built first, but to facilitate the explanation, we choose first the
++      <application>Qt4</application> library. You can do this using
++      <command>setqt4</command> command from <xref linkend="qt4"/>.
++    </para>
++    <para>
+       Install <application>Poppler</application> by running the following
+       commands:
+     </para>
+@@ -173,13 +183,28 @@
+       Now, as the <systemitem class="username">root</systemitem> user:
+     </para>
+ 
+-<screen role="root"><userinput>make install &&
+-install -v -m755 -d      /usr/share/doc/poppler-&poppler-version; &&
++<screen role="root"><userinput>make install</userinput></screen>
++    <para>
++      If you are not building both <application>Qt</application> libraries,
++      jump to the following paragraph. If you want to build both
++      <application>Qt</application> libraries, first switch back to
++      unpriviledged user, run <command>setqt5</command> command from
++      <xref linkend="qt5"/>, and repeat the instructions from configuration
++      until install. After that, proceed to install the documents until the end.
++    </para>
++    <para>
++      The documents are installed using the following commands:
++    </para>
++<screen role="root"><userinput>install -v -m755 -d      /usr/share/doc/poppler-&poppler-version; &&
+ install -v -m644 README* /usr/share/doc/poppler-&poppler-version;</userinput></screen>
+ 
+     <para>
+       If you downloaded the additional encoding data package, install it by
+-issuing the following commands:
++      issuing the following commands as the
++      <systemitem class="username">root</systemitem> user:
+     </para>
+ 
+ <screen><userinput>tar -xf ../poppler-data-&poppler-data-version;.tar.gz &&
+
+Index: introduction/welcome/changelog.xml
+===================================================================
+--- introduction/welcome/changelog.xml	(révision 12921)
++++ introduction/welcome/changelog.xml	(révision 12922)
+@@ -48,6 +48,11 @@
+       <para>March 31st, 2014</para>
+       <itemizedlist>
+         <listitem>
++          <para>[fernando] - Fix Poppler-0.24.5 to build both, qt4 and 5
++          libraries. Fixes
++          <ulink url="&blfs-ticket-root;4880">#4880</ulink>.</para>
++        </listitem>
++        <listitem>
+           <para>[fernando] - Add new package Mozilla JS-24.2.0. Fixes
+           <ulink url="&blfs-ticket-root;4500">#4500</ulink>.</para>
+         </listitem>
+




More information about the lfs-traducfr mailing list